<template>
  <v-row>
    <v-col>
      <v-tabs v-model="tab" slider-color="primary" class="mb-8">
        <v-tab v-for="item in items" v-has-role="item.roles" :value="item.value">
          {{ item.title }}
        </v-tab>
      </v-tabs>

      <v-tabs-window v-model="tab">
        <v-tabs-window-item v-for="item in items" v-has-role="item.roles" :value="item.value">
          <LazyAdminUsersUserList v-if="item.value === 'users'"></LazyAdminUsersUserList>
          <LazyAdminUnitsUnitList v-if="item.value === 'units'"></LazyAdminUnitsUnitList>
          <LazyAdminAirportsAirportList v-if="item.value === 'airports'"></LazyAdminAirportsAirportList>
          <LazyAdminRanksRankList v-if="item.value === 'ranks'"></LazyAdminRanksRankList>
          <LazyAdminDocumentsDocumentList v-if="item.value === 'documents'"></LazyAdminDocumentsDocumentList>
        </v-tabs-window-item>
      </v-tabs-window>
    </v-col>
  </v-row>
</template>

<script setup lang="ts">
definePageMeta({
  layout: 'airvam',
  middleware: ['is-admin'],
})

const tab: Ref<null | string> = ref(null);
const items: Ref<any[]> = ref([
  {
    title: 'Utilisateurs',
    value: 'users',
    roles: ['god', 'admin']
  },
  {
    title: 'Unités',
    value: 'units',
    roles: ['god']
  },
  {
    title: 'Codes ICAO',
    value: 'airports',
    roles: ['god']
  },
  {
    title: 'Grades',
    value: 'ranks',
    roles: ['god']
  },
  {
    title: 'Documents',
    value: 'documents',
    roles: ['god']
  }
]);
</script>
